Bug 1379170

Summary: jsvc script is broken
Product: [Fedora] Fedora EPEL Reporter: Coty Sutherland <csutherl>
Component: tomcatAssignee: Coty Sutherland <csutherl>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: el6CC: alee, coolsvap, csutherl, ivan.afonichev, trick
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: tomcat-7.0.72-1.el6 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-11-12 19:46:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Coty Sutherland 2016-09-25 18:21:50 UTC
Description of problem:
The JSVC script for tomcat doesn't work.

Version-Release number of selected component (if applicable):
tomcat-jsvc-7.0.70-3.el6.noarch

How reproducible:
Every time.

Steps to Reproduce:
1. `yum install tomcat-jsvc`
2. Try to check the version or start the service:

# tomcat-jsvc version
25/09/2016 14:03:20 15629 jsvc error: Invalid user name specified
25/09/2016 14:03:20 15629 jsvc error: Cannot parse command line arguments
# tomcat-jsvc start
/usr/sbin/tomcat-jsvc: line 39: /logs/catalina.out: No such file or directory

Actual results:
Failure to report version/start the service.

Expected results:
Version information is reported and the service starts.

Additional info:

Comment 2 Fedora Update System 2016-10-25 00:19:42 UTC
tomcat-7.0.72-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a886ace670

Comment 3 Fedora Update System 2016-11-12 19:46:58 UTC
tomcat-7.0.72-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-11-13 15:16:18 UTC
tomcat-7.0.72-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.